#*****************************************************************************************
# Vivado (TM) v2021.2 (64-bit)
#
# ddr4_0_ex.xpr.tcl: Tcl script for re-creating project 'ddr4_0_ex'
#
# Generated by Vivado on Mon Apr 25 13:38:36 EDT 2022
# IP Build 3369179 on Thu Oct 21 08:25:16 MDT 2021
#
# This file contains the Vivado Tcl commands for re-creating the project to the state*
# when this script was generated. In order to re-create the project, please source this
# file in the Vivado Tcl Shell.
#
# * Note that the runs in the created project will be configured the same way as the
#   original project, however they will not be launched automatically. To regenerate the
#   run results please launch the synthesis/implementation runs as needed.
#
#*****************************************************************************************
# NOTE: In order to use this script for source control purposes, please make sure that the
#       following files are added to the source control system:-
#
# 1. This project restoration tcl script (ddr4_0_ex.xpr.tcl) that was generated.
#
# 2. The following source(s) files that were local or imported into the original project.
#    (Please see the '$orig_proj_dir' and '$origin_dir' variable setting below at the start of the script)
#
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/ddr4_0_ex.srcs/sources_1/ip/ddr4_0/ddr4_0.xci"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/led_display_driver.v"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_hw_tg.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_2to1_converter.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_addr_prbs.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_arbiter.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_data_prbs.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_data_prbs_seed.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_errchk.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_fifo.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_instr_bram.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_mpfifo.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_pattern_gen_addr.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_pattern_gen_data.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_pattern_gen_data_bram.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_pattern_gen_data_cal_cplx.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_prbs_gen.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_top.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_tg_victim_data.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/example_top.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/example_tb.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/ddr4_0_ex.srcs/sources_1/ip/ATG_VIO/ATG_VIO.xci"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/ddr4_0_ex.srcs/sources_1/ip/ATG_ILA/ATG_ILA.xci"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/ddr4_0_ex.srcs/sources_1/ip/vio_leds/vio_leds.xci"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/ddr4_0_ex.srcs/sources_1/ip/ila_ddrx/ila_ddrx.xci"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/example_design.xdc"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/MemoryArray.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/StateTableCore.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/StateTable.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/arch_defines.v"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/arch_package.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_sdram_model_wrapper.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/proj_package.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/timing_tasks.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_model.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/interface.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/sim_tb_top.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/glbl.v"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_14_ddr4_stimulus_mem_x4_x8.txt"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/ddr4_v2_2_ddr4_traffic_generator.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/temp_mem.txt"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/temp_second_mem.txt"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/imports/microblaze_mcs_0.sv"
#    "/home/jpalmer/projects/workspace/golden_spike/design_examples/zcu208_mig/ddr4_0_ex/ddr4_0_ex.srcs/utils_1/imports/synth_1/example_top.dcp"
#
# 3. The following remote source files that were added to the original project:-
#
#    <none>
#
#*****************************************************************************************

# Check file required for this script exists
proc checkRequiredFiles { origin_dir} {
  set status true
  set files [list \
 "[file normalize "$origin_dir/ddr4_0_ex.srcs/sources_1/ip/ddr4_0/ddr4_0.xci"]"\
 "[file normalize "$origin_dir/imports/led_display_driver.v"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_hw_tg.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_2to1_converter.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_addr_prbs.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_arbiter.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_data_prbs.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_data_prbs_seed.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_errchk.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_fifo.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_instr_bram.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_mpfifo.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_pattern_gen_addr.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_pattern_gen_data.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_pattern_gen_data_bram.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_pattern_gen_data_cal_cplx.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_prbs_gen.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_top.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_tg_victim_data.sv"]"\
 "[file normalize "$origin_dir/imports/example_top.sv"]"\
 "[file normalize "$origin_dir/imports/example_tb.sv"]"\
 "[file normalize "$origin_dir/ddr4_0_ex.srcs/sources_1/ip/ATG_VIO/ATG_VIO.xci"]"\
 "[file normalize "$origin_dir/ddr4_0_ex.srcs/sources_1/ip/ATG_ILA/ATG_ILA.xci"]"\
 "[file normalize "$origin_dir/ddr4_0_ex.srcs/sources_1/ip/vio_leds/vio_leds.xci"]"\
 "[file normalize "$origin_dir/ddr4_0_ex.srcs/sources_1/ip/ila_ddrx/ila_ddrx.xci"]"\
 "[file normalize "$origin_dir/imports/example_design.xdc"]"\
 "[file normalize "$origin_dir/imports/MemoryArray.sv"]"\
 "[file normalize "$origin_dir/imports/StateTableCore.sv"]"\
 "[file normalize "$origin_dir/imports/StateTable.sv"]"\
 "[file normalize "$origin_dir/imports/arch_defines.v"]"\
 "[file normalize "$origin_dir/imports/arch_package.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_sdram_model_wrapper.sv"]"\
 "[file normalize "$origin_dir/imports/proj_package.sv"]"\
 "[file normalize "$origin_dir/imports/timing_tasks.sv"]"\
 "[file normalize "$origin_dir/imports/ddr4_model.sv"]"\
 "[file normalize "$origin_dir/imports/interface.sv"]"\
 "[file normalize "$origin_dir/imports/sim_tb_top.sv"]"\
 "[file normalize "$origin_dir/imports/glbl.v"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_14_ddr4_stimulus_mem_x4_x8.txt"]"\
 "[file normalize "$origin_dir/imports/ddr4_v2_2_ddr4_traffic_generator.sv"]"\
 "[file normalize "$origin_dir/imports/temp_mem.txt"]"\
 "[file normalize "$origin_dir/imports/temp_second_mem.txt"]"\
 "[file normalize "$origin_dir/imports/microblaze_mcs_0.sv"]"\
 "[file normalize "$origin_dir/ddr4_0_ex.srcs/utils_1/imports/synth_1/example_top.dcp"]"\
  ]
  foreach ifile $files {
    if { ![file isfile $ifile] } {
      puts " Could not find local file $ifile "
      set status false
    }
  }

  return $status
}
# Set the reference directory for source file relative paths (by default the value is script directory path)
set origin_dir "."

# Use origin directory path location variable, if specified in the tcl shell
if { [info exists ::origin_dir_loc] } {
  set origin_dir $::origin_dir_loc
}

# Set the project name
set _xil_proj_name_ "ddr4_0_ex"

# Use project name variable, if specified in the tcl shell
if { [info exists ::user_project_name] } {
  set _xil_proj_name_ $::user_project_name
}

variable script_file
set script_file "ddr4_0_ex.xpr.tcl"

# Help information for this script
proc print_help {} {
  variable script_file
  puts "\nDescription:"
  puts "Recreate a Vivado project from this script. The created project will be"
  puts "functionally equivalent to the original project for which this script was"
  puts "generated. The script contains commands for creating a project, filesets,"
  puts "runs, adding/importing sources and setting properties on various objects.\n"
  puts "Syntax:"
  puts "$script_file"
  puts "$script_file -tclargs \[--origin_dir <path>\]"
  puts "$script_file -tclargs \[--project_name <name>\]"
  puts "$script_file -tclargs \[--help\]\n"
  puts "Usage:"
  puts "Name                   Description"
  puts "-------------------------------------------------------------------------"
  puts "\[--origin_dir <path>\]  Determine source file paths wrt this path. Default"
  puts "                       origin_dir path value is \".\", otherwise, the value"
  puts "                       that was set with the \"-paths_relative_to\" switch"
  puts "                       when this script was generated.\n"
  puts "\[--project_name <name>\] Create project with the specified name. Default"
  puts "                       name is the name of the project from where this"
  puts "                       script was generated.\n"
  puts "\[--help\]               Print help information for this script"
  puts "-------------------------------------------------------------------------\n"
  exit 0
}

if { $::argc > 0 } {
  for {set i 0} {$i < $::argc} {incr i} {
    set option [string trim [lindex $::argv $i]]
    switch -regexp -- $option {
      "--origin_dir"   { incr i; set origin_dir [lindex $::argv $i] }
      "--project_name" { incr i; set _xil_proj_name_ [lindex $::argv $i] }
      "--help"         { print_help }
      default {
        if { [regexp {^-} $option] } {
          puts "ERROR: Unknown option '$option' specified, please type '$script_file -tclargs --help' for usage info.\n"
          return 1
        }
      }
    }
  }
}

# Set the directory path for the original project from where this script was exported
set orig_proj_dir "[file normalize "$origin_dir/"]"

# Check for paths and files needed for project creation
set validate_required 0
if { $validate_required } {
  if { [checkRequiredFiles $origin_dir] } {
    puts "Tcl file $script_file is valid. All files required for project creation is accesable. "
  } else {
    puts "Tcl file $script_file is not valid. Not all files required for project creation is accesable. "
    return
  }
}

# Create project
create_project ${_xil_proj_name_} ./${_xil_proj_name_} -part xczu48dr-fsvg1517-2-e

# Set the directory path for the new project
set proj_dir [get_property directory [current_project]]

# Set project properties
set obj [current_project]
set_property -name "board_part" -value "xilinx.com:zcu208:part0:2.0" -objects $obj
set_property -name "default_lib" -value "xil_defaultlib" -objects $obj
set_property -name "enable_vhdl_2008" -value "1" -objects $obj
set_property -name "ip_cache_permissions" -value "read write" -objects $obj
set_property -name "ip_output_repo" -value "$proj_dir/${_xil_proj_name_}.cache/ip" -objects $obj
set_property -name "mem.enable_memory_map_generation" -value "1" -objects $obj
set_property -name "platform.board_id" -value "zcu208" -objects $obj
set_property -name "revised_directory_structure" -value "1" -objects $obj
set_property -name "sim.central_dir" -value "$proj_dir/${_xil_proj_name_}.ip_user_files" -objects $obj
set_property -name "sim.ip.auto_export_scripts" -value "1" -objects $obj
set_property -name "simulator_language" -value "Mixed" -objects $obj
set_property -name "webtalk.activehdl_export_sim" -value "4" -objects $obj
set_property -name "webtalk.modelsim_export_sim" -value "4" -objects $obj
set_property -name "webtalk.questa_export_sim" -value "4" -objects $obj
set_property -name "webtalk.riviera_export_sim" -value "4" -objects $obj
set_property -name "webtalk.vcs_export_sim" -value "4" -objects $obj
set_property -name "webtalk.xsim_export_sim" -value "4" -objects $obj
set_property -name "xpm_libraries" -value "XPM_CDC XPM_MEMORY" -objects $obj

# Create 'sources_1' fileset (if not found)
if {[string equal [get_filesets -quiet sources_1] ""]} {
  create_fileset -srcset sources_1
}

# Set 'sources_1' fileset object
set obj [get_filesets sources_1]
# Import local files from the original project
set files [list \
 [file normalize "${origin_dir}/ddr4_0_ex.srcs/sources_1/ip/ddr4_0/ddr4_0.xci"]\
 [file normalize "${origin_dir}/imports/led_display_driver.v" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_hw_tg.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_2to1_converter.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_addr_prbs.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_arbiter.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_data_prbs.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_data_prbs_seed.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_errchk.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_fifo.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_instr_bram.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_mpfifo.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_pattern_gen_addr.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_pattern_gen_data.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_pattern_gen_data_bram.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_pattern_gen_data_cal_cplx.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_prbs_gen.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_top.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_tg_victim_data.sv" ]\
 [file normalize "${origin_dir}/imports/example_top.sv" ]\
 [file normalize "${origin_dir}/imports/example_tb.sv" ]\
 [file normalize "${origin_dir}/ddr4_0_ex.srcs/sources_1/ip/ATG_VIO/ATG_VIO.xci" ]\
 [file normalize "${origin_dir}/ddr4_0_ex.srcs/sources_1/ip/ATG_ILA/ATG_ILA.xci" ]\
]
set imported_files [import_files -fileset sources_1 $files]

# Set 'sources_1' fileset file properties for remote files
# None

# Set 'sources_1' fileset file properties for local files
set file "ddr4_0/ddr4_0.xci"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "generate_files_for_reference" -value "0" -objects $file_obj
set_property -name "registered_with_manager" -value "1" -objects $file_obj
if { ![get_property "is_locked" $file_obj] } {
  set_property -name "synth_checkpoint_mode" -value "Singular" -objects $file_obj
}

set file "imports/ddr4_v2_2_hw_tg.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_2to1_converter.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_addr_prbs.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_arbiter.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_data_prbs.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_data_prbs_seed.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_errchk.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_fifo.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_instr_bram.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_mpfifo.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_pattern_gen_addr.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_pattern_gen_data.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_pattern_gen_data_bram.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_pattern_gen_data_cal_cplx.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_prbs_gen.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_top.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/ddr4_v2_2_tg_victim_data.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/example_top.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "imports/example_tb.sv"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj

set file "ATG_VIO/ATG_VIO.xci"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "generate_files_for_reference" -value "0" -objects $file_obj
set_property -name "registered_with_manager" -value "1" -objects $file_obj
if { ![get_property "is_locked" $file_obj] } {
  set_property -name "synth_checkpoint_mode" -value "Singular" -objects $file_obj
}

set file "ATG_ILA/ATG_ILA.xci"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "generate_files_for_reference" -value "0" -objects $file_obj
set_property -name "registered_with_manager" -value "1" -objects $file_obj
if { ![get_property "is_locked" $file_obj] } {
  set_property -name "synth_checkpoint_mode" -value "Singular" -objects $file_obj
}


# Set 'sources_1' fileset properties
set obj [get_filesets sources_1]
set_property -name "top" -value "example_top" -objects $obj
set_property -name "top_auto_set" -value "0" -objects $obj

# Set 'sources_1' fileset object
set obj [get_filesets sources_1]
# Import local files from the original project
set files [list \
 [file normalize "${origin_dir}/ddr4_0_ex.srcs/sources_1/ip/vio_leds/vio_leds.xci" ]\
]
set imported_files [import_files -fileset sources_1 $files]

# Set 'sources_1' fileset file properties for remote files
# None

# Set 'sources_1' fileset file properties for local files
set file "vio_leds/vio_leds.xci"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "generate_files_for_reference" -value "0" -objects $file_obj
set_property -name "registered_with_manager" -value "1" -objects $file_obj
if { ![get_property "is_locked" $file_obj] } {
  set_property -name "synth_checkpoint_mode" -value "Singular" -objects $file_obj
}


# Set 'sources_1' fileset object
set obj [get_filesets sources_1]
# Import local files from the original project
set files [list \
 [file normalize "${origin_dir}/ddr4_0_ex.srcs/sources_1/ip/ila_ddrx/ila_ddrx.xci" ]\
]
set imported_files [import_files -fileset sources_1 $files]

# Set 'sources_1' fileset file properties for remote files
# None

# Set 'sources_1' fileset file properties for local files
set file "ila_ddrx/ila_ddrx.xci"
set file_obj [get_files -of_objects [get_filesets sources_1] [list "*$file"]]
set_property -name "generate_files_for_reference" -value "0" -objects $file_obj
set_property -name "registered_with_manager" -value "1" -objects $file_obj
if { ![get_property "is_locked" $file_obj] } {
  set_property -name "synth_checkpoint_mode" -value "Singular" -objects $file_obj
}


# Create 'constrs_1' fileset (if not found)
if {[string equal [get_filesets -quiet constrs_1] ""]} {
  create_fileset -constrset constrs_1
}

# Set 'constrs_1' fileset object
set obj [get_filesets constrs_1]

# Add/Import constrs file and set constrs file properties
set file "[file normalize "$origin_dir/imports/example_design.xdc"]"
set file_imported [import_files -fileset constrs_1 [list $file]]
set file "imports/example_design.xdc"
set file_obj [get_files -of_objects [get_filesets constrs_1] [list "*$file"]]
set_property -name "file_type" -value "XDC" -objects $file_obj
set_property -name "processing_order" -value "LATE" -objects $file_obj

# Set 'constrs_1' fileset properties
set obj [get_filesets constrs_1]

# Create 'sim_1' fileset (if not found)
if {[string equal [get_filesets -quiet sim_1] ""]} {
  create_fileset -simset sim_1
}

# Set 'sim_1' fileset object
set obj [get_filesets sim_1]
# Import local files from the original project
set files [list \
 [file normalize "${origin_dir}/imports/MemoryArray.sv" ]\
 [file normalize "${origin_dir}/imports/StateTableCore.sv" ]\
 [file normalize "${origin_dir}/imports/StateTable.sv" ]\
 [file normalize "${origin_dir}/imports/arch_defines.v" ]\
 [file normalize "${origin_dir}/imports/arch_package.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_sdram_model_wrapper.sv" ]\
 [file normalize "${origin_dir}/imports/proj_package.sv" ]\
 [file normalize "${origin_dir}/imports/timing_tasks.sv" ]\
 [file normalize "${origin_dir}/imports/ddr4_model.sv" ]\
 [file normalize "${origin_dir}/imports/interface.sv" ]\
 [file normalize "${origin_dir}/imports/sim_tb_top.sv" ]\
 [file normalize "${origin_dir}/imports/glbl.v" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_14_ddr4_stimulus_mem_x4_x8.txt" ]\
 [file normalize "${origin_dir}/imports/ddr4_v2_2_ddr4_traffic_generator.sv" ]\
 [file normalize "${origin_dir}/imports/temp_mem.txt" ]\
 [file normalize "${origin_dir}/imports/temp_second_mem.txt" ]\
 [file normalize "${origin_dir}/imports/microblaze_mcs_0.sv" ]\
]
set imported_files [import_files -fileset sim_1 $files]

# Set 'sim_1' fileset file properties for remote files
# None

# Set 'sim_1' fileset file properties for local files
set file "imports/MemoryArray.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "Verilog Header" -objects $file_obj

set file "imports/StateTableCore.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "Verilog Header" -objects $file_obj

set file "imports/StateTable.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "Verilog Header" -objects $file_obj

set file "imports/arch_defines.v"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "Verilog Header" -objects $file_obj

set file "imports/arch_package.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj
set_property -name "used_in" -value "implementation simulation" -objects $file_obj
set_property -name "used_in_synthesis" -value "0" -objects $file_obj

set file "imports/ddr4_sdram_model_wrapper.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj
set_property -name "used_in" -value "implementation simulation" -objects $file_obj
set_property -name "used_in_synthesis" -value "0" -objects $file_obj

set file "imports/proj_package.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj
set_property -name "used_in" -value "implementation simulation" -objects $file_obj
set_property -name "used_in_synthesis" -value "0" -objects $file_obj

set file "imports/timing_tasks.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "Verilog Header" -objects $file_obj

set file "imports/ddr4_model.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj
set_property -name "used_in" -value "implementation simulation" -objects $file_obj
set_property -name "used_in_synthesis" -value "0" -objects $file_obj

set file "imports/interface.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj
set_property -name "used_in" -value "implementation simulation" -objects $file_obj
set_property -name "used_in_synthesis" -value "0" -objects $file_obj

set file "imports/sim_tb_top.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj
set_property -name "used_in" -value "implementation simulation" -objects $file_obj
set_property -name "used_in_synthesis" -value "0" -objects $file_obj

set file "imports/glbl.v"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "used_in" -value "implementation simulation" -objects $file_obj
set_property -name "used_in_synthesis" -value "0" -objects $file_obj

set file "imports/ddr4_v2_2_ddr4_traffic_generator.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj
set_property -name "used_in" -value "implementation simulation" -objects $file_obj
set_property -name "used_in_synthesis" -value "0" -objects $file_obj

set file "imports/microblaze_mcs_0.sv"
set file_obj [get_files -of_objects [get_filesets sim_1] [list "*$file"]]
set_property -name "file_type" -value "SystemVerilog" -objects $file_obj
set_property -name "used_in" -value "implementation simulation" -objects $file_obj
set_property -name "used_in_synthesis" -value "0" -objects $file_obj


# Set 'sim_1' fileset properties
set obj [get_filesets sim_1]
set_property -name "top" -value "sim_tb_top" -objects $obj
set_property -name "top_auto_set" -value "0" -objects $obj

# Set 'utils_1' fileset object
set obj [get_filesets utils_1]
# Import local files from the original project
set files [list \
 [file normalize "${origin_dir}/ddr4_0_ex.srcs/utils_1/imports/synth_1/example_top.dcp" ]\
]
set imported_files [import_files -fileset utils_1 $files]

# Set 'utils_1' fileset file properties for remote files
# None

# Set 'utils_1' fileset file properties for local files
set file "synth_1/example_top.dcp"
set file_obj [get_files -of_objects [get_filesets utils_1] [list "*$file"]]
set_property -name "netlist_only" -value "0" -objects $file_obj


# Set 'utils_1' fileset properties
set obj [get_filesets utils_1]


# Adding sources referenced in BDs, if not already added
set idrFlowPropertiesConstraints ""
catch {
 set idrFlowPropertiesConstraints [get_param runs.disableIDRFlowPropertyConstraints]
 set_param runs.disableIDRFlowPropertyConstraints 1
}

# Create 'synth_1' run (if not found)
if {[string equal [get_runs -quiet synth_1] ""]} {
    create_run -name synth_1 -part xczu48dr-fsvg1517-2-e -flow {Vivado Synthesis 2021} -strategy "Vivado Synthesis Defaults" -report_strategy {No Reports} -constrset constrs_1
} else {
  set_property strategy "Vivado Synthesis Defaults" [get_runs synth_1]
  set_property flow "Vivado Synthesis 2021" [get_runs synth_1]
}
set obj [get_runs synth_1]
set_property set_report_strategy_name 1 $obj
set_property report_strategy {Vivado Synthesis Default Reports} $obj
set_property set_report_strategy_name 0 $obj
# Create 'synth_1_synth_report_utilization_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs synth_1] synth_1_synth_report_utilization_0] "" ] } {
  create_report_config -report_name synth_1_synth_report_utilization_0 -report_type report_utilization:1.0 -steps synth_design -runs synth_1
}
set obj [get_report_configs -of_objects [get_runs synth_1] synth_1_synth_report_utilization_0]
if { $obj != "" } {

}
set obj [get_runs synth_1]
set_property -name "incremental_checkpoint" -value "$proj_dir/ddr4_0_ex.srcs/utils_1/imports/synth_1/example_top.dcp" -objects $obj
set_property -name "auto_incremental_checkpoint" -value "1" -objects $obj
set_property -name "strategy" -value "Vivado Synthesis Defaults" -objects $obj

# set the current synth run
current_run -synthesis [get_runs synth_1]

# Create 'impl_1' run (if not found)
if {[string equal [get_runs -quiet impl_1] ""]} {
    create_run -name impl_1 -part xczu48dr-fsvg1517-2-e -flow {Vivado Implementation 2021} -strategy "Vivado Implementation Defaults" -report_strategy {No Reports} -constrset constrs_1 -parent_run synth_1
} else {
  set_property strategy "Vivado Implementation Defaults" [get_runs impl_1]
  set_property flow "Vivado Implementation 2021" [get_runs impl_1]
}
set obj [get_runs impl_1]
set_property set_report_strategy_name 1 $obj
set_property report_strategy {Vivado Implementation Default Reports} $obj
set_property set_report_strategy_name 0 $obj
# Create 'impl_1_init_report_timing_summary_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_init_report_timing_summary_0] "" ] } {
  create_report_config -report_name impl_1_init_report_timing_summary_0 -report_type report_timing_summary:1.0 -steps init_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_init_report_timing_summary_0]
if { $obj != "" } {
set_property -name "is_enabled" -value "0" -objects $obj
set_property -name "options.max_paths" -value "10" -objects $obj
set_property -name "options.report_unconstrained" -value "1" -objects $obj

}
# Create 'impl_1_opt_report_drc_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_opt_report_drc_0] "" ] } {
  create_report_config -report_name impl_1_opt_report_drc_0 -report_type report_drc:1.0 -steps opt_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_opt_report_drc_0]
if { $obj != "" } {

}
# Create 'impl_1_opt_report_timing_summary_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_opt_report_timing_summary_0] "" ] } {
  create_report_config -report_name impl_1_opt_report_timing_summary_0 -report_type report_timing_summary:1.0 -steps opt_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_opt_report_timing_summary_0]
if { $obj != "" } {
set_property -name "is_enabled" -value "0" -objects $obj
set_property -name "options.max_paths" -value "10" -objects $obj
set_property -name "options.report_unconstrained" -value "1" -objects $obj

}
# Create 'impl_1_power_opt_report_timing_summary_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_power_opt_report_timing_summary_0] "" ] } {
  create_report_config -report_name impl_1_power_opt_report_timing_summary_0 -report_type report_timing_summary:1.0 -steps power_opt_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_power_opt_report_timing_summary_0]
if { $obj != "" } {
set_property -name "is_enabled" -value "0" -objects $obj
set_property -name "options.max_paths" -value "10" -objects $obj
set_property -name "options.report_unconstrained" -value "1" -objects $obj

}
# Create 'impl_1_place_report_io_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_io_0] "" ] } {
  create_report_config -report_name impl_1_place_report_io_0 -report_type report_io:1.0 -steps place_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_io_0]
if { $obj != "" } {

}
# Create 'impl_1_place_report_utilization_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_utilization_0] "" ] } {
  create_report_config -report_name impl_1_place_report_utilization_0 -report_type report_utilization:1.0 -steps place_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_utilization_0]
if { $obj != "" } {

}
# Create 'impl_1_place_report_control_sets_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_control_sets_0] "" ] } {
  create_report_config -report_name impl_1_place_report_control_sets_0 -report_type report_control_sets:1.0 -steps place_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_control_sets_0]
if { $obj != "" } {
set_property -name "options.verbose" -value "1" -objects $obj

}
# Create 'impl_1_place_report_incremental_reuse_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_incremental_reuse_0] "" ] } {
  create_report_config -report_name impl_1_place_report_incremental_reuse_0 -report_type report_incremental_reuse:1.0 -steps place_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_incremental_reuse_0]
if { $obj != "" } {
set_property -name "is_enabled" -value "0" -objects $obj

}
# Create 'impl_1_place_report_incremental_reuse_1' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_incremental_reuse_1] "" ] } {
  create_report_config -report_name impl_1_place_report_incremental_reuse_1 -report_type report_incremental_reuse:1.0 -steps place_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_incremental_reuse_1]
if { $obj != "" } {
set_property -name "is_enabled" -value "0" -objects $obj

}
# Create 'impl_1_place_report_timing_summary_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_timing_summary_0] "" ] } {
  create_report_config -report_name impl_1_place_report_timing_summary_0 -report_type report_timing_summary:1.0 -steps place_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_place_report_timing_summary_0]
if { $obj != "" } {
set_property -name "is_enabled" -value "0" -objects $obj
set_property -name "options.max_paths" -value "10" -objects $obj
set_property -name "options.report_unconstrained" -value "1" -objects $obj

}
# Create 'impl_1_post_place_power_opt_report_timing_summary_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_post_place_power_opt_report_timing_summary_0] "" ] } {
  create_report_config -report_name impl_1_post_place_power_opt_report_timing_summary_0 -report_type report_timing_summary:1.0 -steps post_place_power_opt_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_post_place_power_opt_report_timing_summary_0]
if { $obj != "" } {
set_property -name "is_enabled" -value "0" -objects $obj
set_property -name "options.max_paths" -value "10" -objects $obj
set_property -name "options.report_unconstrained" -value "1" -objects $obj

}
# Create 'impl_1_phys_opt_report_timing_summary_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_phys_opt_report_timing_summary_0] "" ] } {
  create_report_config -report_name impl_1_phys_opt_report_timing_summary_0 -report_type report_timing_summary:1.0 -steps phys_opt_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_phys_opt_report_timing_summary_0]
if { $obj != "" } {
set_property -name "is_enabled" -value "0" -objects $obj
set_property -name "options.max_paths" -value "10" -objects $obj
set_property -name "options.report_unconstrained" -value "1" -objects $obj

}
# Create 'impl_1_route_report_drc_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_drc_0] "" ] } {
  create_report_config -report_name impl_1_route_report_drc_0 -report_type report_drc:1.0 -steps route_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_drc_0]
if { $obj != "" } {

}
# Create 'impl_1_route_report_methodology_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_methodology_0] "" ] } {
  create_report_config -report_name impl_1_route_report_methodology_0 -report_type report_methodology:1.0 -steps route_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_methodology_0]
if { $obj != "" } {

}
# Create 'impl_1_route_report_power_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_power_0] "" ] } {
  create_report_config -report_name impl_1_route_report_power_0 -report_type report_power:1.0 -steps route_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_power_0]
if { $obj != "" } {

}
# Create 'impl_1_route_report_route_status_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_route_status_0] "" ] } {
  create_report_config -report_name impl_1_route_report_route_status_0 -report_type report_route_status:1.0 -steps route_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_route_status_0]
if { $obj != "" } {

}
# Create 'impl_1_route_report_timing_summary_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_timing_summary_0] "" ] } {
  create_report_config -report_name impl_1_route_report_timing_summary_0 -report_type report_timing_summary:1.0 -steps route_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_timing_summary_0]
if { $obj != "" } {
set_property -name "options.max_paths" -value "10" -objects $obj
set_property -name "options.report_unconstrained" -value "1" -objects $obj

}
# Create 'impl_1_route_report_incremental_reuse_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_incremental_reuse_0] "" ] } {
  create_report_config -report_name impl_1_route_report_incremental_reuse_0 -report_type report_incremental_reuse:1.0 -steps route_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_incremental_reuse_0]
if { $obj != "" } {

}
# Create 'impl_1_route_report_clock_utilization_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_clock_utilization_0] "" ] } {
  create_report_config -report_name impl_1_route_report_clock_utilization_0 -report_type report_clock_utilization:1.0 -steps route_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_clock_utilization_0]
if { $obj != "" } {

}
# Create 'impl_1_route_report_bus_skew_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_bus_skew_0] "" ] } {
  create_report_config -report_name impl_1_route_report_bus_skew_0 -report_type report_bus_skew:1.1 -steps route_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_route_report_bus_skew_0]
if { $obj != "" } {
set_property -name "options.warn_on_violation" -value "1" -objects $obj

}
# Create 'impl_1_post_route_phys_opt_report_timing_summary_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_post_route_phys_opt_report_timing_summary_0] "" ] } {
  create_report_config -report_name impl_1_post_route_phys_opt_report_timing_summary_0 -report_type report_timing_summary:1.0 -steps post_route_phys_opt_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_post_route_phys_opt_report_timing_summary_0]
if { $obj != "" } {
set_property -name "options.max_paths" -value "10" -objects $obj
set_property -name "options.report_unconstrained" -value "1" -objects $obj
set_property -name "options.warn_on_violation" -value "1" -objects $obj

}
# Create 'impl_1_post_route_phys_opt_report_bus_skew_0' report (if not found)
if { [ string equal [get_report_configs -of_objects [get_runs impl_1] impl_1_post_route_phys_opt_report_bus_skew_0] "" ] } {
  create_report_config -report_name impl_1_post_route_phys_opt_report_bus_skew_0 -report_type report_bus_skew:1.1 -steps post_route_phys_opt_design -runs impl_1
}
set obj [get_report_configs -of_objects [get_runs impl_1] impl_1_post_route_phys_opt_report_bus_skew_0]
if { $obj != "" } {
set_property -name "options.warn_on_violation" -value "1" -objects $obj

}
set obj [get_runs impl_1]
set_property -name "strategy" -value "Vivado Implementation Defaults" -objects $obj
set_property -name "steps.write_bitstream.args.readback_file" -value "0" -objects $obj
set_property -name "steps.write_bitstream.args.verbose" -value "0" -objects $obj

# set the current impl run
current_run -implementation [get_runs impl_1]
catch {
 if { $idrFlowPropertiesConstraints != {} } {
   set_param runs.disableIDRFlowPropertyConstraints $idrFlowPropertiesConstraints
 }
}

puts "INFO: Project created:${_xil_proj_name_}"
# Create 'drc_1' gadget (if not found)
if {[string equal [get_dashboard_gadgets  [ list "drc_1" ] ] ""]} {
create_dashboard_gadget -name {drc_1} -type drc
}
set obj [get_dashboard_gadgets [ list "drc_1" ] ]
set_property -name "reports" -value "impl_1#impl_1_route_report_drc_0" -objects $obj

# Create 'methodology_1' gadget (if not found)
if {[string equal [get_dashboard_gadgets  [ list "methodology_1" ] ] ""]} {
create_dashboard_gadget -name {methodology_1} -type methodology
}
set obj [get_dashboard_gadgets [ list "methodology_1" ] ]
set_property -name "reports" -value "impl_1#impl_1_route_report_methodology_0" -objects $obj

# Create 'power_1' gadget (if not found)
if {[string equal [get_dashboard_gadgets  [ list "power_1" ] ] ""]} {
create_dashboard_gadget -name {power_1} -type power
}
set obj [get_dashboard_gadgets [ list "power_1" ] ]
set_property -name "reports" -value "impl_1#impl_1_route_report_power_0" -objects $obj

# Create 'timing_1' gadget (if not found)
if {[string equal [get_dashboard_gadgets  [ list "timing_1" ] ] ""]} {
create_dashboard_gadget -name {timing_1} -type timing
}
set obj [get_dashboard_gadgets [ list "timing_1" ] ]
set_property -name "reports" -value "impl_1#impl_1_route_report_timing_summary_0" -objects $obj

# Create 'utilization_1' gadget (if not found)
if {[string equal [get_dashboard_gadgets  [ list "utilization_1" ] ] ""]} {
create_dashboard_gadget -name {utilization_1} -type utilization
}
set obj [get_dashboard_gadgets [ list "utilization_1" ] ]
set_property -name "reports" -value "synth_1#synth_1_synth_report_utilization_0" -objects $obj
set_property -name "run.step" -value "synth_design" -objects $obj
set_property -name "run.type" -value "synthesis" -objects $obj

# Create 'utilization_2' gadget (if not found)
if {[string equal [get_dashboard_gadgets  [ list "utilization_2" ] ] ""]} {
create_dashboard_gadget -name {utilization_2} -type utilization
}
set obj [get_dashboard_gadgets [ list "utilization_2" ] ]
set_property -name "reports" -value "impl_1#impl_1_place_report_utilization_0" -objects $obj

move_dashboard_gadget -name {utilization_1} -row 0 -col 0
move_dashboard_gadget -name {power_1} -row 1 -col 0
move_dashboard_gadget -name {drc_1} -row 2 -col 0
move_dashboard_gadget -name {timing_1} -row 0 -col 1
move_dashboard_gadget -name {utilization_2} -row 1 -col 1
move_dashboard_gadget -name {methodology_1} -row 2 -col 1
